## a2mp3 0.01

=== Makefile ===
install_ = install
name_ = a2mp3

etc = ${DESTDIR}/etc/
usr = ${DESTDIR}/usr
usrbin = $(usr)/bin
usrsbin = $(usr)/sbin
usrshare = $(usr)/share/$(name_)
usrdoc = $(usr)/share/doc/$(name_)
man1 = $(usr)/share/man/man1/
man8 = $(usr)/share/man/man8/


%.html : %.txt ;
	asciidoc -b xhtml11 $^

%.gz : %.txt ;
	asciidoc -d manpage -b docbook $^
	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl `echo $^ |sed -e 's/.txt/.xml/'`
	gzip -f --best `echo $^ |sed -e 's/.txt//'`


all: doc

doc: doc_man doc_html

doc_html: $(name_).1.html
a2mp3.1.html: $(name_).1.txt

doc_man: $(name_).1.gz
a2mp3.1.gz: $(name_).1.txt

install: all
	$(install_) -d -m 755 $(usrdoc)
	$(install_) -m 644 $(name_).1.html $(usrdoc)

	$(install_) -d -m 755 $(man1)
	$(install_) -m 644 $(name_).1.gz $(man1)

	$(install_) -m 755 -d $(usrbin)
	$(install_) -m 755 $(name_) $(usrbin)

clean:
	rm -rf $(name_).1.html $(name_).1.xml $(name_).1 $(name_).1.gz html-stamp man-stamp

=== debian/changelog ===
a2mp3 (0.01) unstable; urgency=low

  * Initial Release.

 -- Michael Gebetsroither <michael.geb@gmx.at>  Sun, 24 Dec 2005 21:39:23 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: a2mp3
Section: grml
Priority: optional
Maintainer: Michael Gebetsroither <gebi@grml.org>
Build-Depends: debhelper (>= 4.0.0), xsltproc, docbook-xsl, asciidoc
Standards-Version: 3.6.2

Package: a2mp3
Architecture: all
Depends: grml-shlib (>=1.02.06), vorbis-tools, lame, mp3info
Description: program to optimize your music for your mp3-player
 This little program can decode various audio formats to an optimized
 mp3 suitable for your mp3-player.
 .
 Currently only ogg and mp3 are supported as source formats.

## a2mp3 0.01-0ubuntu2

=== debian/changelog ===
a2mp3 (0.01-0ubuntu2) feisty; urgency=low

  * Fix the remaining bugs with dash as shell.
  * debian/control: Change Maintainer/XSBC-Original-Maintainer field.

 -- Michael Bienia <geser@ubuntu.com>  Wed, 21 Feb 2007 00:13:59 +0100

a2mp3 (0.01-0ubuntu1) feisty; urgency=low

  * Fix a2mp3 to be executable also by dash (LP: #72601).

 -- Michael Bienia <geser@ubuntu.com>  Tue, 13 Feb 2007 20:27:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: a2mp3
 Section: grml
 Priority: optional
-Maintainer: Michael Gebetsroither <gebi@grml.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Gebetsroither <gebi@grml.org>
 Build-Depends: debhelper (>= 4.0.0), xsltproc, docbook-xsl, asciidoc
 Standards-Version: 3.6.2

## a2mp3 0.01-0ubuntu3

=== debian/changelog ===
a2mp3 (0.01-0ubuntu3) hardy; urgency=low

  * debian/control: (LP: #186457)
    - Change priority to comply with Debian policy.
      Thx to Roy Jamison for providing the initial debdiff

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 06 Mar 2008 17:54:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: a2mp3
 Section: grml
-Priority: optional
+Priority: extra
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Michael Gebetsroither <gebi@grml.org>
 Build-Depends: debhelper (>= 4.0.0), xsltproc, docbook-xsl, asciidoc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=debian/a2mp3

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
#	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## a2mp3 0.01-0ubuntu4

=== debian/changelog ===
a2mp3 (0.01-0ubuntu4) intrepid; urgency=low

  * debian/control:
    Set the section to an official one so soyuz accepts the upload.

 -- Michael Bienia <geser@ubuntu.com>  Tue, 23 Sep 2008 21:13:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: a2mp3
-Section: grml
+Section: sound
 Priority: extra
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Michael Gebetsroither <gebi@grml.org>

## a2mp3 0.01-0ubuntu5

=== debian/changelog ===
a2mp3 (0.01-0ubuntu5) jaunty; urgency=low

  * a2mp3: add support for oga file conversion (LP: #349529).
    Thanks to Morten Siebuhr for the patch.

 -- Brian Murray <brian@ubuntu.com>  Mon, 30 Mar 2009 10:23:56 -0700
